Subject: Re: bug#46817: update python grammar

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2021 15:22:59 +0100

Martin Puttke <[email-masked]> writes:

> I made some fixes to enhance the python grammar file to enable it to
> understand python type hints and have non-trivial base classes. Please
> feel free to include my changes into emacs.

Thanks; I'm not a Python or Wisent expert, but if I read the patch
correctly, it looks good to me, and I've applied your patch to Emacs 28.

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no